gnome-themes-extras r490 - trunk
- From: acimitan svn gnome org
- To: svn-commits-list gnome org
- Subject: gnome-themes-extras r490 - trunk
- Date: Wed, 2 Apr 2008 20:43:48 +0100 (BST)
Author: acimitan
Date: Wed Apr 2 20:43:47 2008
New Revision: 490
URL: http://svn.gnome.org/viewvc/gnome-themes-extras?rev=490&view=rev
Log:
should work now
Modified:
trunk/Makefile.am
trunk/autogen.sh
trunk/configure.in
Modified: trunk/Makefile.am
==============================================================================
--- trunk/Makefile.am (original)
+++ trunk/Makefile.am Wed Apr 2 20:43:47 2008
@@ -1,6 +1,6 @@
SUBDIRS = po desktop-themes gtk-themes icon-themes metacity-themes
EXTRA_DIST = \
gnome-themes-extras.spec gnome-themes-extras.spec.in \
- intltool-extract.in intltool-merge.in intltool-update.in m4 \
+ intltool-extract.in intltool-merge.in intltool-update.in \
MAINTAINERS
DISTCLEANFILES = intltool-extract intltool-merge intltool-update
Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh (original)
+++ trunk/autogen.sh Wed Apr 2 20:43:47 2008
@@ -1,139 +1,76 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
+DIE=0
-ORIGDIR=`pwd`
+THEDIR=`pwd`
cd $srcdir
-PROJECT=gnome-themes-extras
-TEST_TYPE=-f
-FILE=README
-
-DIE=0
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have autoconf installed to compile $PROJECT."
+ echo "You must have autoconf installed to compile GTK+."
echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
DIE=1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+if automake-1.10 --version < /dev/null > /dev/null 2>&1 ; then
+ AUTOMAKE=automake-1.10
+ ACLOCAL=aclocal-1.10
+elif automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
+ AUTOMAKE=automake-1.9
+ ACLOCAL=aclocal-1.9
+elif automake-1.8 --version < /dev/null > /dev/null 2>&1 ; then
+ AUTOMAKE=automake-1.8
+ ACLOCAL=aclocal-1.8
+elif automake-1.7 --version < /dev/null > /dev/null 2>&1 ; then
+ AUTOMAKE=automake-1.7
+ ACLOCAL=aclocal-1.7
+else
+ echo
+ echo "You must have automake 1.7.x installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+ DIE=1
+fi
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://sourceware.cygnus.com/pub/automake/automake-1.6.tar.gz"
+ echo "You must have libtool installed to compile GTK+."
+ echo "Get http://ftp.gnu.org/gnu/libtool/libtool-1.5.10.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
}
-(grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`libtool' installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- }
-}
-
-grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null && {
- grep "sed.*POTFILES" $srcdir/configure.ac >/dev/null || \
- (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`glib' installed to compile $PROJECT."
- DIE=1
- }
-}
-
-(grep "^AC_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
- (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`intltoolize' installed to compile $PKG_NAME."
- echo "Get ftp://ftp.gnome.org/pub/GNOME/stable/sources/intltool/intltool-0.10.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- }
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have intltool installed to compile gnome-themes-extras."
+ DIE=1
}
+
if test "$DIE" -eq 1; then
exit 1
fi
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
-}
-
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
echo "to pass any to it, please specify them on the $0 command line."
fi
-case $CC in
-*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
-esac
-for coin in .
-do
- dr=`dirname $coin`
- if test -f $dr/NO-AUTO-GEN; then
- echo skipping $dr -- flagged as no auto-gen
- else
- echo processing $dr
- macrodirs=`sed -n -e 's,AM_ACLOCAL_INCLUDE(\(.*\)),\1,gp' < $coin`
- ( cd $dr
- aclocalinclude="-I m4 $ACLOCAL_FLAGS"
- for k in $macrodirs; do
- if test -d $k; then
- aclocalinclude="-I m4 $aclocalinclude"
- ##else
- ## echo "**Warning**: No such directory \`$k'. Ignored."
- fi
- done
- if grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null; then
- if grep "sed.*POTFILES" configure.ac >/dev/null; then
- : do nothing -- we still have an old unmodified configure.ac
- else
- echo "Creating $dr/aclocal.m4 ..."
- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
- echo "Running glib-gettextize... Ignore non-fatal messages."
- echo "no" | glib-gettextize --force --copy
- echo "Making $dr/aclocal.m4 writable ..."
- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
- fi
- fi
- if grep "^AC_PROG_INTLTOOL" configure.ac >/dev/null; then
- echo "Running intltoolize..."
- intltoolize --copy --force --automake
- fi
- if grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null; then
- echo "Running libtoolize..."
- libtoolize --force --copy
- fi
- echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude
- if grep "^AM_CONFIG_HEADER" configure.ac >/dev/null; then
- echo "Running autoheader..."
- autoheader
- fi
- echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt
- echo "Running autoconf ..."
- autoconf
- )
- fi
-done
-
-conf_flags="--enable-maintainer-mode --enable-compile-warnings" #--enable-iso-c
-
-cd "$ORIGDIR"
-
-if test x$NOCONFIGURE = x; then
- echo Running $srcdir/configure $conf_flags "$@" ...
- $srcdir/configure $conf_flags "$@" \
- && echo Now type \`make\' to compile $PROJECT || exit 1
-else
- echo Skipping configure process.
-fi
+libtoolize --force --copy
+intltoolize --force --copy --automake
+
+
+$ACLOCAL $ACLOCAL_FLAGS
+autoconf
+autoheader
+$AUTOMAKE --add-missing
+cd $THEDIR
+
+$srcdir/configure "$@"
+
+echo
+echo "Now type 'make' to compile themes"
Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in (original)
+++ trunk/configure.in Wed Apr 2 20:43:47 2008
@@ -26,9 +26,7 @@
# Initialize libtool
AM_PROG_LIBTOOL
-PKG_CHECK_MODULES(GTK_ENGINES_2,
- gtk-engines-2 >= 2.14.0,,
- AC_MSG_ERROR([gtk-engines-2 >= 2.14.0 is required to compile gnome-themes-extras]))
+PKG_CHECK_MODULES(GTK_ENGINES_2, gtk-engines-2 >= 2.14.0,, AC_MSG_ERROR([gtk-engines-2 >= 2.14.0 is required to compile gnome-themes-extras]))
# Checks for header files.
AC_HEADER_STDC
@@ -36,8 +34,6 @@
# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
-AS_AC_EXPAND(DATADIR, $datadir)
-
# Checks for endianness (needed by GdkRgb).
AC_C_BIGENDIAN
@@ -53,8 +49,7 @@
UTILS_REQUIRED=0.8.1
AC_MSG_CHECKING([icon-naming-utils >= $UTILS_REQUIRED])
-PKG_CHECK_EXISTS(icon-naming-utils >= $UTILS_REQUIRED,
- have_utils=yes, have_utils=no)
+PKG_CHECK_EXISTS(icon-naming-utils >= $UTILS_REQUIRED, have_utils=yes, have_utils=no)
if test "x$have_utils" = "xyes"; then
UTILS_PATH="`$PKG_CONFIG --variable=program_path icon-naming-utils`"
ICONMAP="$UTILS_PATH/icon-name-mapping"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]